#  Copyright (C) 2012, H&D Wireless AB All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions are met:
#
#  1. Redistributions of source code must retain the above copyright notice,
#     this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright notice,
#     this list of conditions and the following disclaimer in the documentation
#     and/or other materials provided with the distribution.
#
#  3. The name of H&D Wireless AB may not be used to endorse or promote
#     products derived from this software without specific prior written
#     permission.
#
#  4. This software may only be redistributed and used in connection with an
#     H&D Wireless product.
#
#  THIS SOFTWARE IS PROVIDED BY H&D WIRELESS AB ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY AND
#  SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT,
#  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
#  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
#  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

APP_PATH ?= .
TRUNK_PATH = $(APP_PATH)/../../../..
PLATFORM_PATH = $(TRUNK_PATH)/platform/linux

BOARD ?= desktop
CONFIG ?= pico_simple
OS = libc
BUILD_RELEASE = "2.1.0"

# Output name
ifeq (1,$(DEBUG))
 TARGET_DIR = $(CONFIG)-$(BOARD)-debug
 DEFS += -DWLP_DEBUG
else
 TARGET_DIR = $(CONFIG)-$(BOARD)
endif
TARGET = $(TARGET_DIR).elf

# Include path
INC_PATH += $(TRUNK_PATH)/wlp_api/spb8xx
INC_PATH += $(TRUNK_PATH)/wlp_api
INC_PATH += $(TRUNK_PATH)/cc/gcc

DEFS += -DWLP_STACK_OFFLOAD=1
DEFS += -DBYTE_ORDER=LITTLE_ENDIAN

# C source files
CSRCS += $(TRUNK_PATH)/wlp_api/spb8xx/wlp_api.c
CSRCS += $(TRUNK_PATH)/wlp_api/wlp_inet.c
CSRCS += main.c
